Index: src/Parser/unittests/ContinuousValueUnitTest.cpp
===================================================================
--- src/Parser/unittests/ContinuousValueUnitTest.cpp	(revision a7d753240301a775068e9e813720c7f0c9744b03)
+++ 	(revision )
@@ -1,194 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * ContinuousValueUnitTest.cpp
- *
- *  Created on: Sep 29, 2011
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "ContinuousValueUnitTest.hpp"
-
-#include <cppunit/CompilerOutputter.h>
-#include <cppunit/extensions/TestFactoryRegistry.h>
-#include <cppunit/ui/text/TestRunner.h>
-
-#include "Parser/ContinuousValue.hpp"
-
-#include "CodePatterns/toString.hpp"
-
-#ifdef HAVE_TESTRUNNER
-#include "UnitTestMain.hpp"
-#endif /*HAVE_TESTRUNNER*/
-
-// Registers the fixture into the 'registry'
-CPPUNIT_TEST_SUITE_REGISTRATION( ContinuousValueTest );
-
-
-void ContinuousValueTest::setUp()
-{
-  // failing asserts should be thrown
-  ASSERT_DO(Assert::Throw);
-
-  ValidRange = new range<int>(1,4);
-}
-
-void ContinuousValueTest::tearDown()
-{
-  delete ValidRange;
-}
-
-/************************************ tests ***********************************/
-
-/** Unit test for isValid.
- *
- */
-void ContinuousValueTest::isValidValueTest()
-{
-  // create instance
-  ContinuousValue<int> test(*ValidRange);
-
-  // checking valid values
-  for (int i=1; i<=4;++i)
-    CPPUNIT_ASSERT_EQUAL(true, test.isValidValue(i));
-
-  // checking invalid values
-  for (int i=-10; i<=0;++i)
-    CPPUNIT_ASSERT_EQUAL(false, test.isValidValue(i));
-  for (int i=5; i<=0;++i)
-    CPPUNIT_ASSERT_EQUAL(false, test.isValidValue(i));
-}
-
-/** Unit test for isValid.
- *
- */
-void ContinuousValueTest::isValidTest()
-{
-  // create instance
-  ContinuousValue<int> test(*ValidRange);
-
-  // checking valid values
-  for (int i=1; i<=4;++i)
-    CPPUNIT_ASSERT_EQUAL(true, test.isValid(toString(i)));
-
-  // checking invalid values
-  for (int i=-10; i<=0;++i)
-    CPPUNIT_ASSERT_EQUAL(false, test.isValid(toString(i)));
-  for (int i=5; i<=0;++i)
-    CPPUNIT_ASSERT_EQUAL(false, test.isValid(toString(i)));
-}
-
-/** Unit test for setting/getting valid range.
- *
- */
-void ContinuousValueTest::setgetValidRangeTest()
-{
-  {
-    // create instance
-    ContinuousValue<int> test(*ValidRange);
-
-    // extending range and checking
-    for (int i=5; i<=6;++i)
-      CPPUNIT_ASSERT_EQUAL(false, test.isValidValue(i));
-    test.setValidRange(range<int>(1,6));
-    for (int i=5; i<=6;++i)
-      CPPUNIT_ASSERT_EQUAL(true, test.isValidValue(i));
-  }
-
-  {
-    // create instance
-    ContinuousValue<int> test(*ValidRange);
-
-    // lowering range with set value
-    test.setValue(4);
-    CPPUNIT_ASSERT_EQUAL(true, test.ValueSet);
-#ifndef NDEBUG
-    std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-    CPPUNIT_ASSERT_THROW(test.setValidRange(range<int>(1,3)), Assert::AssertionFailure);
-#else
-    test.setValidRange(range<int>(1,3));
-#endif
-#ifndef NDEBUG
-    // no value is not set
-    std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-    CPPUNIT_ASSERT_THROW(test.get(), Assert::AssertionFailure);
-#endif
-    // value gets invalidated in either case
-    CPPUNIT_ASSERT_EQUAL(false, test.ValueSet);
-  }
-}
-
-/** Unit test for setValue and getValue.
- *
- */
-void ContinuousValueTest::settergetterValueTest()
-{
-  // create instance
-  ContinuousValue<int> test(*ValidRange);
-
-  // unset calling of get, throws
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.getValue(), Assert::AssertionFailure);
-#endif
-
-  // setting invalid, throws
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.setValue(5), Assert::AssertionFailure);
-#endif
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.setValue(0), Assert::AssertionFailure);
-#endif
-
-  CPPUNIT_ASSERT_EQUAL(false, test.ValueSet);
-  // checking all valid ones
-  for (int i=1; i<=4;++i) {
-    test.setValue(i);
-    CPPUNIT_ASSERT_EQUAL(true, test.ValueSet);
-    CPPUNIT_ASSERT_EQUAL(i, test.getValue());
-  }
-}
-
-/** Unit test for setters and getters.
- *
- */
-void ContinuousValueTest::settergetterTest()
-{
-  // create instance
-  ContinuousValue<int> test(*ValidRange);
-
-  // unset calling of get, throws
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.get(), Assert::AssertionFailure);
-#endif
-
-  // setting invalid, throws
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.set(toString(5)), Assert::AssertionFailure);
-#endif
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.set(toString(0)), Assert::AssertionFailure);
-#endif
-
-  // checking all valid ones
-  for (int i=1; i<=4;++i) {
-    test.set(toString(i));
-    CPPUNIT_ASSERT_EQUAL(toString(i), test.get());
-  }
-}
-
Index: src/Parser/unittests/ContinuousValueUnitTest.hpp
===================================================================
--- src/Parser/unittests/ContinuousValueUnitTest.hpp	(revision a7d753240301a775068e9e813720c7f0c9744b03)
+++ 	(revision )
@@ -1,45 +1,0 @@
-/*
- * ContinuousValueUnitTest.hpp
- *
- *  Created on: Sep 29, 2011
- *      Author: heber
- */
-#ifndef CONTINUOUSVALUEUNITTEST_HPP_
-#define CONTINUOUSVALUEUNITTEST_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include <string>
-
-#include <cppunit/extensions/HelperMacros.h>
-
-template<class T> struct range;
-
-class ContinuousValueTest :  public CppUnit::TestFixture
-{
-  CPPUNIT_TEST_SUITE( ContinuousValueTest ) ;
-  CPPUNIT_TEST ( isValidValueTest );
-  CPPUNIT_TEST ( isValidTest );
-  CPPUNIT_TEST ( setgetValidRangeTest );
-  CPPUNIT_TEST ( settergetterValueTest );
-  CPPUNIT_TEST ( settergetterTest );
-  CPPUNIT_TEST_SUITE_END();
-
-public:
-  void setUp();
-  void tearDown();
-
-  void isValidValueTest();
-  void isValidTest();
-  void setgetValidRangeTest();
-  void settergetterValueTest();
-  void settergetterTest();
-
-private:
-  range<int> *ValidRange;
-};
-
-#endif /* CONTINUOUSVALUEUNITTEST_HPP_ */
Index: src/Parser/unittests/DiscreteValueUnitTest.cpp
===================================================================
--- src/Parser/unittests/DiscreteValueUnitTest.cpp	(revision a7d753240301a775068e9e813720c7f0c9744b03)
+++ 	(revision )
@@ -1,213 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * DiscreteValueUnitTest.cpp
- *
- *  Created on: Sep 28, 2011
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "DiscreteValueUnitTest.hpp"
-
-#include <cppunit/CompilerOutputter.h>
-#include <cppunit/extensions/TestFactoryRegistry.h>
-#include <cppunit/ui/text/TestRunner.h>
-
-#include "Parser/DiscreteValue.hpp"
-
-#include "CodePatterns/toString.hpp"
-
-#ifdef HAVE_TESTRUNNER
-#include "UnitTestMain.hpp"
-#endif /*HAVE_TESTRUNNER*/
-
-using namespace std;
-
-// Registers the fixture into the 'registry'
-CPPUNIT_TEST_SUITE_REGISTRATION( DiscreteValueTest );
-
-
-void DiscreteValueTest::setUp()
-{
-  // failing asserts should be thrown
-  ASSERT_DO(Assert::Throw);
-
-  for (int i=1; i<=3;++i) {
-    ValidValues.push_back(i);
-  }
-}
-
-void DiscreteValueTest::tearDown()
-{
-  ValidValues.clear();
-}
-
-/************************************ tests ***********************************/
-
-/** Unit test for findIndexOfValue.
- *
- */
-void DiscreteValueTest::findIndexOfValueTest()
-{
-  // create instance
-  DiscreteValue<int> test(ValidValues);
-
-  // check valid values indices
-  CPPUNIT_ASSERT_EQUAL((size_t)0, test.findIndexOfValue(1));
-  CPPUNIT_ASSERT_EQUAL((size_t)1, test.findIndexOfValue(2));
-  CPPUNIT_ASSERT_EQUAL((size_t)2, test.findIndexOfValue(3));
-
-  // check invalid ones
-  for (int i=-10; i<=0;++i)
-    CPPUNIT_ASSERT_EQUAL((size_t)-1, test.findIndexOfValue(i));
-  for (int i=4; i<=0;++i)
-    CPPUNIT_ASSERT_EQUAL((size_t)-1, test.findIndexOfValue(i));
-}
-
-/** Unit test for isValidValue.
- *
- */
-void DiscreteValueTest::isValidValueTest()
-{
-  // create instance
-  DiscreteValue<int> test(ValidValues);
-
-  // checking valid values
-  for (int i=1; i<=3;++i)
-    CPPUNIT_ASSERT_EQUAL(true, test.isValidValue(i));
-
-  // checking invalid values
-  for (int i=-10; i<=0;++i)
-    CPPUNIT_ASSERT_EQUAL(false, test.isValidValue(i));
-  for (int i=4; i<=0;++i)
-    CPPUNIT_ASSERT_EQUAL(false, test.isValidValue(i));
-}
-
-/** Unit test for isValid.
- *
- */
-void DiscreteValueTest::isValidTest()
-{
-  // create instance
-  DiscreteValue<int> test(ValidValues);
-
-  // checking valid values
-  for (int i=1; i<=3;++i)
-    CPPUNIT_ASSERT_EQUAL(true, test.isValid(toString(i)));
-
-  // checking invalid values
-  for (int i=-10; i<=0;++i)
-    CPPUNIT_ASSERT_EQUAL(false, test.isValid(toString(i)));
-  for (int i=4; i<=0;++i)
-    CPPUNIT_ASSERT_EQUAL(false, test.isValid(toString(i)));
-}
-
-/** Unit test for appendValidValue.
- *
- */
-void DiscreteValueTest::appendValidValueTest()
-{
-  // create instance
-  DiscreteValue<int> test(ValidValues);
-
-  // adding values 4,5,6
-  for (int i=4; i<=6;++i) {
-    CPPUNIT_ASSERT_EQUAL(false, test.isValidValue(i));
-    test.appendValidValue(i);
-    CPPUNIT_ASSERT_EQUAL(true, test.isValidValue(i));
-  }
-
-  // adding same value, throws assertion
-  const size_t size_before = test.ValidValues.size();
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  for (int i=1; i<=6;++i)
-    CPPUNIT_ASSERT_THROW(test.appendValidValue(i), Assert::AssertionFailure);
-#endif
-  CPPUNIT_ASSERT_EQUAL( size_before, test.ValidValues.size() );
-
-  // checking valid values
-  for (int i=1; i<=6;++i)
-    CPPUNIT_ASSERT_EQUAL(true, test.isValidValue(i));
-
-  // checking invalid values
-  for (int i=-10; i<=0;++i)
-    CPPUNIT_ASSERT_EQUAL(false, test.isValidValue(i));
-
-  // checking invalid values
-  for (int i=7; i<=10;++i)
-    CPPUNIT_ASSERT_EQUAL(false, test.isValidValue(i));
-}
-
-/** Unit test for setters and getters.
- *
- */
-void DiscreteValueTest::settergetterTest()
-{
-  // create instance
-  DiscreteValue<int> test(ValidValues);
-
-  // unset calling of get, throws
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.get(), Assert::AssertionFailure);
-#endif
-
-  // setting invalid, throws
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.set(toString(4)), Assert::AssertionFailure);
-#endif
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.set(toString(0)), Assert::AssertionFailure);
-#endif
-
-  // checking all valid ones
-  for (int i=1; i<=3;++i) {
-    test.set(toString(i));
-    CPPUNIT_ASSERT_EQUAL(toString(i), test.get());
-  }
-
-}
-
-/** Unit test for setValue and getValue.
- *
- */
-void DiscreteValueTest::settergetterValueTest()
-{
-  // create instance
-  DiscreteValue<int> test(ValidValues);
-
-  // unset calling of get, throws
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.getValue(), Assert::AssertionFailure);
-#endif
-
-  // setting invalid, throws
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.setValue(4), Assert::AssertionFailure);
-#endif
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.setValue(0), Assert::AssertionFailure);
-#endif
-
-  // checking all valid ones
-  for (int i=1; i<=3;++i) {
-    test.setValue(i);
-    CPPUNIT_ASSERT_EQUAL(i, test.getValue());
-  }
-}
Index: src/Parser/unittests/DiscreteValueUnitTest.hpp
===================================================================
--- src/Parser/unittests/DiscreteValueUnitTest.hpp	(revision a7d753240301a775068e9e813720c7f0c9744b03)
+++ 	(revision )
@@ -1,45 +1,0 @@
-/*
- * DiscreteValueUnitTest.hpp
- *
- *  Created on: Sep 28, 2011
- *      Author: heber
- */
-#ifndef DISCRETEVALUEUNITTEST_HPP_
-#define DISCRETEVALUEUNITTEST_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include <cppunit/extensions/HelperMacros.h>
-
-#include <vector>
-
-class DiscreteValueTest :  public CppUnit::TestFixture
-{
-  CPPUNIT_TEST_SUITE( DiscreteValueTest ) ;
-  CPPUNIT_TEST ( findIndexOfValueTest );
-  CPPUNIT_TEST ( isValidValueTest );
-  CPPUNIT_TEST ( isValidTest );
-  CPPUNIT_TEST ( appendValidValueTest );
-  CPPUNIT_TEST ( settergetterTest );
-  CPPUNIT_TEST ( settergetterValueTest );
-  CPPUNIT_TEST_SUITE_END();
-
-public:
-  void setUp();
-  void tearDown();
-
-  void findIndexOfValueTest();
-  void isValidValueTest();
-  void isValidTest();
-  void appendValidValueTest();
-  void settergetterTest();
-  void settergetterValueTest();
-
-private:
-  std::vector<int> ValidValues;
-};
-
-#endif /* DISCRETEVALUEUNITTEST_HPP_ */
Index: src/Parser/unittests/Makefile.am
===================================================================
--- src/Parser/unittests/Makefile.am	(revision a7d753240301a775068e9e813720c7f0c9744b03)
+++ src/Parser/unittests/Makefile.am	(revision 84e752ece4991982e2abc41c173b1a6d98ab98b0)
@@ -2,8 +2,7 @@
 # Also indentation by a single tab
 
+include ../../src/Parser/Parameters/unittests/Makefile.am
 
 PARSERTESTSSOURCES = \
-  ../Parser/unittests/ContinuousValueUnitTest.cpp \
-  ../Parser/unittests/DiscreteValueUnitTest.cpp \
 	../Parser/unittests/ParserMpqcUnitTest.cpp \
 	../Parser/unittests/ParserPcpUnitTest.cpp \
@@ -13,6 +12,4 @@
 
 PARSERTESTSHEADERS = \
-  ../Parser/unittests/ContinuousValueUnitTest.hpp \
-  ../Parser/unittests/DiscreteValueUnitTest.hpp \
 	../Parser/unittests/ParserMpqcUnitTest.hpp \
 	../Parser/unittests/ParserPcpUnitTest.hpp \
@@ -22,6 +19,4 @@
 
 PARSERTESTS = \
-	ContinuousValueUnitTest \
-  DiscreteValueUnitTest \
   ParserMpqcUnitTest \
   ParserPcpUnitTest \
@@ -41,18 +36,4 @@
 
 
-ContinuousValueUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
-  ../Parser/unittests/ContinuousValueUnitTest.cpp \
-  ../Parser/unittests/ContinuousValueUnitTest.hpp \
-  ../Parser/ContinuousValue.hpp \
-  ../Parser/ContinuousValue_impl.hpp
-#ContinuousValueUnitTest_LDADD
- 
-DiscreteValueUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
-  ../Parser/unittests/DiscreteValueUnitTest.cpp \
-  ../Parser/unittests/DiscreteValueUnitTest.hpp \
-  ../Parser/DiscreteValue.hpp \
-  ../Parser/DiscreteValue_impl.hpp
-#DiscreteValueUnitTest_LDADD
- 
 ParserMpqcUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	../Parser/unittests/ParserMpqcUnitTest.cpp \