Index: src/Fragmentation/Automation/Controller/Commands/CheckResultsOperation.hpp
===================================================================
--- src/Fragmentation/Automation/Controller/Commands/CheckResultsOperation.hpp	(revision 9948a765b2debfa507c64194b464a960ac1a7c34)
+++ src/Fragmentation/Automation/Controller/Commands/CheckResultsOperation.hpp	(revision 96c83b29e7b5914533eaf44412eef03d069a20be)
@@ -25,8 +25,8 @@
 public:
   /// Constructor for class CheckResultsOperation.
-  CheckResultsOperation(Connection &_connection, const std::string& _host, const std::string& _service) :
-    Operation(_connection, _host, _service),
+  CheckResultsOperation(Connection &_connection) :
+    Operation(_connection),
     doneJobs(0)
-  {}
+        {}
   /// Destructor for class CheckResultsOperation
   ~CheckResultsOperation() {}
Index: src/Fragmentation/Automation/Controller/Commands/Operation.cpp
===================================================================
--- src/Fragmentation/Automation/Controller/Commands/Operation.cpp	(revision 9948a765b2debfa507c64194b464a960ac1a7c34)
+++ src/Fragmentation/Automation/Controller/Commands/Operation.cpp	(revision 96c83b29e7b5914533eaf44412eef03d069a20be)
@@ -38,8 +38,6 @@
  * \param _connection connection to operate on
  */
-Operation::Operation(Connection &_connection, const std::string& _host, const std::string& _service) :
+Operation::Operation(Connection &_connection) :
     connection_(_connection),
-    host(_host),
-    service(_service),
     Exitflag(OkFlag)
 {}
@@ -73,19 +71,4 @@
 }
 
-/** Internal function to resolve all possible connection endpoints.
- *
- * \return endpoint iterator of connection
- */
-boost::asio::ip::tcp::resolver::iterator Operation::getEndpointIterator()
-{
-  // Resolve the host name into an IP address.
-  boost::asio::ip::tcp::resolver resolver(connection_.socket().get_io_service());
-  boost::asio::ip::tcp::resolver::query query(host, service);
-  boost::asio::ip::tcp::resolver::iterator endpoint_iterator =
-    resolver.resolve(query);
-
-  return endpoint_iterator;
-}
-
 /** Internal function to disconnect connection_ correctly.
  *
@@ -93,5 +76,5 @@
 void Operation::disconnect()
 {
-  //connection_.socket().close();
+  connection_.socket().close();
 }
 
Index: src/Fragmentation/Automation/Controller/Commands/Operation.hpp
===================================================================
--- src/Fragmentation/Automation/Controller/Commands/Operation.hpp	(revision 9948a765b2debfa507c64194b464a960ac1a7c34)
+++ src/Fragmentation/Automation/Controller/Commands/Operation.hpp	(revision 96c83b29e7b5914533eaf44412eef03d069a20be)
@@ -22,5 +22,5 @@
 class Operation {
 public:
-  Operation(Connection &_connection, const std::string& _host, const std::string& _service);
+  Operation(Connection &_connection);
   virtual ~Operation();
 public:
@@ -53,16 +53,6 @@
 
 protected:
-  /// internal function to resolve host name and ip address
-  boost::asio::ip::tcp::resolver::iterator getEndpointIterator();
-
   /// internal function to disconnect from server
   void disconnect();
-
-protected:
-  /// host name of server
-  const std::string host;
-
-  // service to connect to to
-  const std::string service;
 
   // exit flag of this operation
Index: src/Fragmentation/Automation/Controller/Commands/ReceiveJobsOperation.hpp
===================================================================
--- src/Fragmentation/Automation/Controller/Commands/ReceiveJobsOperation.hpp	(revision 9948a765b2debfa507c64194b464a960ac1a7c34)
+++ src/Fragmentation/Automation/Controller/Commands/ReceiveJobsOperation.hpp	(revision 96c83b29e7b5914533eaf44412eef03d069a20be)
@@ -26,6 +26,6 @@
 public:
   /// Constructor for class ReceiveJobsOperation.
-  ReceiveJobsOperation(Connection &_connection, const std::string& _host, const std::string& _service) :
-    Operation(_connection, _host, _service) {}
+  ReceiveJobsOperation(Connection &_connection) :
+    Operation(_connection) {}
   /// Destructor for class ReceiveJobsOperation
   ~ReceiveJobsOperation() {}
Index: src/Fragmentation/Automation/Controller/Commands/SendResultsOperation.hpp
===================================================================
--- src/Fragmentation/Automation/Controller/Commands/SendResultsOperation.hpp	(revision 9948a765b2debfa507c64194b464a960ac1a7c34)
+++ src/Fragmentation/Automation/Controller/Commands/SendResultsOperation.hpp	(revision 96c83b29e7b5914533eaf44412eef03d069a20be)
@@ -26,6 +26,6 @@
 public:
   /// Constructor for class SendResultsOperation.
-  SendResultsOperation(Connection &_connection, const std::string& _host, const std::string& _service) :
-    Operation(_connection, _host, _service) {}
+  SendResultsOperation(Connection &_connection) :
+    Operation(_connection) {}
   /// Destructor for class SendResultsOperation
   ~SendResultsOperation() {}
Index: src/Fragmentation/Automation/Controller/Commands/ShutdownOperation.hpp
===================================================================
--- src/Fragmentation/Automation/Controller/Commands/ShutdownOperation.hpp	(revision 9948a765b2debfa507c64194b464a960ac1a7c34)
+++ src/Fragmentation/Automation/Controller/Commands/ShutdownOperation.hpp	(revision 96c83b29e7b5914533eaf44412eef03d069a20be)
@@ -25,6 +25,6 @@
 public:
   /// Constructor for class ShutdownOperation.
-  ShutdownOperation(Connection &_connection, const std::string& _host, const std::string& _service) :
-    Operation(_connection, _host, _service) {}
+  ShutdownOperation(Connection &_connection) :
+    Operation(_connection) {}
   /// Destructor for class ShutdownOperation
   ~ShutdownOperation() {}