Index: tests/regression/Analysis/PairCorrelation-RangeTest/testsuite-analysis-pair-correlation-range-test.at
===================================================================
--- tests/regression/Analysis/PairCorrelation-RangeTest/testsuite-analysis-pair-correlation-range-test.at	(revision 8ea3e7e2a013eab7a8936c65a52870438ee1859b)
+++ tests/regression/Analysis/PairCorrelation-RangeTest/testsuite-analysis-pair-correlation-range-test.at	(revision 97f9b9e5c1ffbd088e5670bf7283216e16f68b02)
@@ -5,15 +5,15 @@
 
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation-RangeTest/pre/test.conf .], 0)
-AT_CHECK([../../molecuilder -i test.conf  -v 3 --set-boundary-conditions "Wrap,Wrap,Wrap" --pair-correlation --elements 1 8 --output-file output-5.csv --bin-output-file bin_output-5.csv --bin-start 0 --bin-end 5], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i test.conf  -v 3 --set-boundary-conditions Wrap Wrap Wrap --pair-correlation --elements 1 8 --output-file output-5.csv --bin-output-file bin_output-5.csv --bin-start 0 --bin-end 5], 0, [stdout], [stderr])
 #AT_CHECK([file=output-5.csv; diff $file ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation-RangeTest/post/output-5.csv], 0, [ignore], [ignore])
 AT_CHECK([file=bin_output-5.csv; diff $file ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation-RangeTest/post/bin_output-5.csv], 0, [ignore], [ignore])
 
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation-RangeTest/pre/test.conf .], 0)
-AT_CHECK([../../molecuilder -i test.conf  -v 3 --set-boundary-conditions "Wrap,Wrap,Wrap" --pair-correlation --elements 1 8 --output-file output-10.csv --bin-output-file bin_output-10.csv --bin-start 5 --bin-end 10], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i test.conf  -v 3 --set-boundary-conditions Wrap Wrap Wrap --pair-correlation --elements 1 8 --output-file output-10.csv --bin-output-file bin_output-10.csv --bin-start 5 --bin-end 10], 0, [stdout], [stderr])
 #AT_CHECK([file=output-10.csv; diff $file ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation-RangeTest/post/output-10.csv], 0, [ignore], [ignore])
 AT_CHECK([file=bin_output-10.csv; diff $file ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation-RangeTest/post/bin_output-10.csv], 0, [ignore], [ignore])
 
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation-RangeTest/pre/test.conf .], 0)
-AT_CHECK([../../molecuilder -i test.conf  -v 3 --set-boundary-conditions "Wrap,Wrap,Wrap" --pair-correlation --elements 1 8 --output-file output-20.csv --bin-output-file bin_output-20.csv --bin-start 10 --bin-end 20], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i test.conf  -v 3 --set-boundary-conditions Wrap Wrap Wrap --pair-correlation --elements 1 8 --output-file output-20.csv --bin-output-file bin_output-20.csv --bin-start 10 --bin-end 20], 0, [stdout], [stderr])
 #AT_CHECK([file=output-20.csv; diff $file ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation-RangeTest/post/output-20.csv], 0, [ignore], [ignore])
 AT_CHECK([file=bin_output-20.csv; diff $file ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation-RangeTest/post/bin_output-20.csv], 0, [ignore], [ignore])
Index: tests/regression/Analysis/PairCorrelation/testsuite-analysis-pair-correlation.at
===================================================================
--- tests/regression/Analysis/PairCorrelation/testsuite-analysis-pair-correlation.at	(revision 8ea3e7e2a013eab7a8936c65a52870438ee1859b)
+++ tests/regression/Analysis/PairCorrelation/testsuite-analysis-pair-correlation.at	(revision 97f9b9e5c1ffbd088e5670bf7283216e16f68b02)
@@ -5,5 +5,5 @@
 
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation/pre/test.conf .], 0)
-AT_CHECK([../../molecuilder -i test.conf  -v 3 --set-boundary-conditions "Wrap,Wrap,Wrap" --pair-correlation --elements 1 8 --output-file output.csv --bin-output-file bin_output.csv --bin-start 0 --bin-end 20], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i test.conf  -v 3 --set-boundary-conditions Wrap Wrap Wrap --pair-correlation --elements 1 8 --output-file output.csv --bin-output-file bin_output.csv --bin-start 0 --bin-end 20], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Begin of PairCorrelation" stdout], 0, [ignore], [ignore])
 #AT_CHECK([file=output.csv; diff $file ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation/post/output.csv], 0, [ignore], [ignore])
Index: tests/regression/Domain/SetBoundaryConditions/testsuite-domain-set-boundary-conditions.at
===================================================================
--- tests/regression/Domain/SetBoundaryConditions/testsuite-domain-set-boundary-conditions.at	(revision 8ea3e7e2a013eab7a8936c65a52870438ee1859b)
+++ tests/regression/Domain/SetBoundaryConditions/testsuite-domain-set-boundary-conditions.at	(revision 97f9b9e5c1ffbd088e5670bf7283216e16f68b02)
@@ -4,15 +4,15 @@
 AT_KEYWORDS([domain set-boundary-conditions])
 
-BC="Wrap, Wrap, Wrap"
-AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC"], 0, [stdout], [stderr])
+BC="Wrap Wrap Wrap"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions $BC], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Boundary conditions are now ${BC}" stdout], 0, [ignore], [ignore])
-BC="Bounce, Bounce, Bounce"
-AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC"], 0, [stdout], [stderr])
+BC="Bounce Bounce Bounce"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions $BC], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Boundary conditions are now ${BC}" stdout], 0, [ignore], [ignore])
-BC="Ignore, Ignore, Ignore"
-AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC"], 0, [stdout], [stderr])
+BC="Ignore Ignore Ignore"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions $BC], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Boundary conditions are now ${BC}" stdout], 0, [ignore], [ignore])
-BC="Wrap, Bounce, Ignore"
-AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC"], 0, [stdout], [stderr])
+BC="Wrap Bounce Ignore"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions $BC], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Boundary conditions are now ${BC}" stdout], 0, [ignore], [ignore])
 
@@ -23,16 +23,16 @@
 AT_KEYWORDS([domain set-boundary-conditions undo])
 
-Check_BC="Wrap, Wrap, Wrap"
-BC="Wrap, Wrap, Wrap"
-AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC" --undo], 0, [stdout], [stderr])
+Check_BC="Wrap Wrap Wrap"
+BC="Wrap Wrap Wrap"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions $BC --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Boundary conditions are set back to ${Check_BC}" stdout], 0, [ignore], [ignore])
-BC="Bounce, Bounce, Bounce"
-AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC" --undo], 0, [stdout], [stderr])
+BC="Bounce Bounce Bounce"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions $BC --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Boundary conditions are set back to ${Check_BC}" stdout], 0, [ignore], [ignore])
-BC="Ignore, Ignore, Ignore"
-AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC" --undo], 0, [stdout], [stderr])
+BC="Ignore Ignore Ignore"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions $BC --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Boundary conditions are set back to ${Check_BC}" stdout], 0, [ignore], [ignore])
-BC="Wrap, Bounce, Ignore"
-AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC" --undo], 0, [stdout], [stderr])
+BC="Wrap Bounce Ignore"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions $BC --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Boundary conditions are set back to ${Check_BC}" stdout], 0, [ignore], [ignore])
 
@@ -43,15 +43,15 @@
 AT_KEYWORDS([domain set-boundary-conditions redo])
 
-BC="Wrap, Wrap, Wrap"
-AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC" --undo --redo], 0, [stdout], [stderr])
+BC="Wrap Wrap Wrap"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions $BC --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Boundary conditions are again ${BC}" stdout], 0, [ignore], [ignore])
-BC="Bounce, Bounce, Bounce"
-AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC" --undo --redo], 0, [stdout], [stderr])
+BC="Bounce Bounce Bounce"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions $BC --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Boundary conditions are again ${BC}" stdout], 0, [ignore], [ignore])
-BC="Ignore, Ignore, Ignore"
-AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC" --undo --redo], 0, [stdout], [stderr])
+BC="Ignore Ignore Ignore"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions $BC --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Boundary conditions are again ${BC}" stdout], 0, [ignore], [ignore])
-BC="Wrap, Bounce, Ignore"
-AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC" --undo --redo], 0, [stdout], [stderr])
+BC="Wrap Bounce Ignore"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions $BC --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Boundary conditions are again ${BC}" stdout], 0, [ignore], [ignore])
 
Index: tests/regression/Graph/SubgraphDissection-BoundaryConditions/testsuite-graph-subgraph-dissection_boundary-conditions.at
===================================================================
--- tests/regression/Graph/SubgraphDissection-BoundaryConditions/testsuite-graph-subgraph-dissection_boundary-conditions.at	(revision 8ea3e7e2a013eab7a8936c65a52870438ee1859b)
+++ tests/regression/Graph/SubgraphDissection-BoundaryConditions/testsuite-graph-subgraph-dissection_boundary-conditions.at	(revision 97f9b9e5c1ffbd088e5670bf7283216e16f68b02)
@@ -7,15 +7,15 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Wrap, Wrap, Wrap" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions Wrap Wrap Wrap -v 3 -I], 0, [stdout], [stderr])
 AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
 file=water-bounced.xyz
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Wrap, Wrap, Wrap" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions Wrap Wrap Wrap -v 3 -I], 0, [stdout], [stderr])
 AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
 file=water-wrapped.xyz
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Wrap, Wrap, Wrap" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions Wrap Wrap Wrap -v 3 -I], 0, [stdout], [stderr])
 AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
 
@@ -28,15 +28,15 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Bounce, Bounce, Bounce" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions Bounce Bounce Bounce -v 3 -I], 0, [stdout], [stderr])
 AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
 file=water-bounced.xyz
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Bounce, Bounce, Bounce" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions Bounce Bounce Bounce -v 3 -I], 0, [stdout], [stderr])
 AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
 file=water-wrapped.xyz
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Bounce, Bounce, Bounce" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions Bounce Bounce Bounce -v 3 -I], 0, [stdout], [stderr])
 AT_CHECK([fgrep "I scanned 2 molecules." stdout], 0, [ignore], [ignore])
 
@@ -49,15 +49,15 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Ignore, Ignore, Ignore" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions Ignore Ignore Ignore -v 3 -I], 0, [stdout], [stderr])
 AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
 file=water-bounced.xyz
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Ignore, Ignore, Ignore" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions Ignore Ignore Ignore -v 3 -I], 0, [stdout], [stderr])
 AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
 file=water-wrapped.xyz
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Ignore, Ignore, Ignore" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions Ignore Ignore Ignore -v 3 -I], 0, [stdout], [stderr])
 AT_CHECK([fgrep "I scanned 2 molecules." stdout], 0, [ignore], [ignore])
 